package config

import (
	ocpc "git.loafle.net/overflow/commons-go/probe/config"
)

type Config struct {
	Account *ocpc.Account     `required:"true" json:"account" yaml:"account" toml:"account"`
	Central *ocpc.Central     `required:"true" json:"central" yaml:"central" toml:"central"`
	Probe   *ocpc.Probe       `required:"true" json:"probe" yaml:"probe" toml:"probe"`
	Paths   map[string]string `required:"true" json:"paths" yaml:"paths" toml:"paths"`
}
